/*
 Arduino alarmsysteem
  Gepubliceerd op 18 november 2015
  Conrad Electronic Benelux B.V.
  http://www.conrad.nl

 Benodigde onderdelen:
  1 Reedcontact
  1 Magneet
  1 Weerstand 10 kOhm
  1 Piezo-zoemer
  6 Draadbruggen
  1 Breadboard

 Dit project is onderdeel van de Conrad Arduino Starterkit.
*/

// Benoem de noodzakelijke elementen van deze sketch
const int zoemer = 3;                    // De zoemer is aangesloten op pin 3
const int reed = 2;                      // Het reedcontact is aangesloten op pin 2
int zoemerWaarde = LOW;                  // De beginwaarde van de zoemer is LOW (er is nog niets aan de hand)

unsigned long vorigeTijd = 0;            // Slaat de tijd op dat de zoemer voor het laatst piepte
const long interval = 1000;              // Stiltetijd tussen het piepen van de zoemer

// Hier geven we eenmalig aan wat de instellingen voor deze sketch moeten zijn
void setup() {
  pinMode(zoemer, OUTPUT);               // De zoemer dient als output voor de sketch
  pinMode(reed, INPUT);                  // Het reedcontact dient als input in deze sketch
}

// Hier geven we aan welke stappen de Arduino moet afwerken in de sketch
void loop() {
  unsigned long huidigeTijd = millis();  // Slaat de huidige tijd op
  int reedWaarde = digitalRead(reed);    // Lees de digitale waarde van het reedcontact uit en sla deze op als Reedwaarde
  
if(reedWaarde == HIGH){                  // Als het reedcontact contact maakt (er ligt een magneet naast)
  digitalWrite(zoemer, LOW);             // Doe dan niets met de zoemer (LOW betekent geen spanning op de zoemer)
 }
 
else if (huidigeTijd - vorigeTijd >= interval) {
    vorigeTijd = huidigeTijd;            // Als de verstreken tijd verstreken tijd groter is dan de interval
    
    if (zoemerWaarde == LOW) {           // Bepaal of de zoemer aan of uit moet gaan (als die uit is, moet die aan, en andersom)
      zoemerWaarde = HIGH;
    } else {
      zoemerWaarde = LOW;
    }
    
    digitalWrite(zoemer, zoemerWaarde);  // Zet de zoemer aan of uit (dit heb je in vorige stap in de de voorwaarde gezet)
  }
}
