/*
 Arduino Knight Rider
  Gepubliceerd op 18 November 2015
  Conrad Electronic Benelux B.V.
  http://www.conrad.nl

 Benodigde onderdelen:
  5 Rode LEDs
  5 Weerstanden 150 Ohm
  1 Potmeter
  10 Draadbruggen
  1 Breadboard

 Dit project is onderdeel van de Conrad Arduino Starterkit.
*/

// Benoem de elementen die je in deze sketch wilt gebruiken
const int led1 = 2;                           // De 1e LED is aangesloten op pin 2
const int led2 = 3;                           // De 2e LED is aangesloten op pin 3
const int led3 = 4;                           // De 3e LED is aangesloten op pin 4
const int led4 = 5;                           // De 4e LED is aangesloten op pin 5
const int led5 = 6;                           // De 5e LED is aangesloten op pin 6
const int potmeter = A1;                      // De potmeter is aangesloten op pin A1

// Hier geven we eenmalig aan wat de instellingen voor deze sketch moeten zijn
void setup(){
  pinMode(led1, OUTPUT);                      // De LEDs dienen als output in de sketch
  pinMode(led2, OUTPUT);                      
  pinMode(led3, OUTPUT);
  pinMode(led4, OUTPUT);
  pinMode(led5, OUTPUT);
}

// Hier geven we aan welke stappen de Arduino moet afwerken in de sketch
void loop() {
  int snelheidsRegelaar = analogRead(potmeter);                // Hier lees je de waarde van de potmeter uit (schaal van 0-1024) en slaat deze op als 'Snelheidsregelaar'
  int snelheid = map(snelheidsRegelaar, 0, 1024, 50, 500);     // Hier zet je de snelheidsRegelaar om in een schaal van 50-500 (dit heet 'mapping'). Je slaat de nieuwe waarde op als 'snelheid'.
  
  digitalWrite(led1, HIGH);                  // Zet led1 aan (HIGH)
    delay(snelheid);                         // Wacht eventjes (de LED blijft zolang branden)
  digitalWrite(led1, LOW);                   // Zet led2 weer uit (LOW)
 
  digitalWrite(led2, HIGH);                  // Hetzelfde proces als bij led1 herhaalt zich hier
   delay(snelheid);
  digitalWrite(led2, LOW);
 
  digitalWrite(led3, HIGH);
   delay(snelheid);
  digitalWrite(led3, LOW);
 
  digitalWrite(led4, HIGH);
   delay(snelheid);
  digitalWrite(led4, LOW);
 
  digitalWrite(led5, HIGH);                    
   delay(snelheid);
  digitalWrite(led5, LOW);
 
  digitalWrite(led4, HIGH);                   // Je gaat nu weer terug naar led4 om het gewenste effect te krijgen
   delay(snelheid);
  digitalWrite(led4, LOW);
 
  digitalWrite(led3, HIGH);
   delay(snelheid);
  digitalWrite(led3, LOW);
 
  digitalWrite(led2, HIGH);
   delay(snelheid);
  digitalWrite(led2, LOW);
}

