/*
 Arduino Nachtlampje
  Gepubliceerd op 18 november 2015
  Conrad Electronic Benelux B.V.
  http://www.conrad.nl

 Benodigde onderdelen:
  1 Witte LED
  1 Weerstand 68 Ohm
  1 Fotoweerstand (LDR)
  1 Weerstand 10 kOhm
  1 Potmeter
  8 Draadbruggen
  1 Breadboard

 Dit project is onderdeel van de Conrad Arduino Starterkit.
*/

// Benoem de elementen die je in deze sketch wilt gebruiken
const int led = 2;                            // De LED is aangesloten op pin 2
const int sensor = A0;                        // De sensor (LDR) is aangesloten op pin A0
const int potmeter = A1;                      // De drempel (Potmeter) is aangesloten op pin A1

// Hier geven we eenmalig aan wat de instellingen voor deze sketch moeten zijn
void setup() {
  Serial.begin(9600);                         // Opent een verbinding met de computer, zo kunnen we data uitlezen via de Serial Monitor
  pinMode(led, OUTPUT);                       // De LED dient als output in de sketch
  pinMode(sensor, INPUT);                     // De sensor dient als input voor de LED in deze sketch
  pinMode(potmeter, INPUT);                   // De potmeter dient als input voor de sensor in deze sketch
}

// Hier geven we aan welke stappen de Arduino moet afwerken in de sketch
void loop() {
  int drempelWaarde = analogRead(potmeter);   // Via de potmeter geven we een drempelwaarde aan waaronder de verlichting moet inschakelen (0-1024)
  Serial.print("Drempelwaarde: ");            // Toont de (drempel)waarde van de potmeter op de computer
  Serial.print(drempelWaarde);
  Serial.print(" | ");
  
  int sensorWaarde = analogRead(sensor);      // De sensorwaarde geeft aan hoeveel licht (0-1024) er wordt gemeten op de sensor (LDR)
  Serial.print("Sensorwaarde: ");             // Toont de gemeten hoeveelheid licht op de computer
  Serial.print(sensorWaarde);
  Serial.print(" | ");

if(sensorWaarde < drempelWaarde){             // Er wordt minder licht gemeten dan de door ons aangegeven drempelwaarde (ingesteld via de potmeter)
  digitalWrite(led, HIGH);                    // Zet de LED aan (HIGH betekent spanning op de LED)
  Serial.println("Nachtlampje Aan");          // Toont op de computer dat de LED (het nachtlampje) aan staat
}
else {                                        // Er wordt meer licht gemeten dan de door ons aangegeven drempelwaarde (ingesteld via de potmeter)
  digitalWrite(led, LOW);                     // Zet de LED uit (LOW betekent geen spanning op de LED)
  Serial.println("Nachtlampje Uit");          // Toont op de computer dat de LED (het nachtlampje) uit staat
}
delay(1000);                                  // Het programma pauzeert 1000 milliseconden (1 seconde) en begint daarna opnieuw. Dit voorkomt snel knipperen van de LED.
  }
